Fork me on GitHub

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 93
Number of unique artifacts (NOA): 132
Number of version-conflicting artifacts (NOC): 17
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 70 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

commons-beanutils:commons-beanutils

[Error]
1.6
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
       \- commons-validator:commons-validator:jar:1.3.1:compile
          \- commons-digester:commons-digester:jar:1.6:compile
             \- (commons-beanutils:commons-beanutils:jar:1.6:compile - omitted for conflict with 1.7.0)

1.7.0
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
    |  \- commons-validator:commons-validator:jar:1.3.1:compile
    |     \- commons-beanutils:commons-beanutils:jar:1.7.0:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.7:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          +- (commons-beanutils:commons-beanutils:jar:1.7.0:compile - omitted for duplicate)
          +- commons-chain:commons-chain:jar:1.1:compile
          |  \- (commons-beanutils:commons-beanutils:jar:1.7.0:compile - omitted for duplicate)
          \- org.apache.struts:struts-core:jar:1.3.8:compile
             \- (commons-beanutils:commons-beanutils:jar:1.7.0:compile - omitted for duplicate)

commons-logging:commons-logging

[Error]
1.0
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
       \- commons-validator:commons-validator:jar:1.3.1:compile
          \- commons-digester:commons-digester:jar:1.6:compile
             \- (commons-logging:commons-logging:jar:1.0:compile - omitted for conflict with 1.1.1)

1.0.3
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
    |  \- commons-validator:commons-validator:jar:1.3.1:compile
    |     \- commons-beanutils:commons-beanutils:jar:1.7.0:compile
    |        \- (commons-logging:commons-logging:jar:1.0.3:compile - omitted for conflict with 1.1.1)
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.7:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          \- commons-chain:commons-chain:jar:1.1:compile
             \- (commons-logging:commons-logging:jar:1.0.3:compile - omitted for conflict with 1.0.4)

1.0.4
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
    |  \- commons-validator:commons-validator:jar:1.3.1:compile
    |     \- commons-logging:commons-logging:jar:1.0.4:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.7:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          \- org.apache.struts:struts-core:jar:1.3.8:compile
             \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for duplicate)

org.apache.maven.doxia:doxia-core

[Error]
1.2
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
       \- (org.apache.maven.doxia:doxia-core:jar:1.2:compile - omitted for conflict with 1.7)

1.7
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.doxia:doxia-core:jar:1.7:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.7:compile
       +- (org.apache.maven.doxia:doxia-core:jar:1.7:compile - omitted for duplicate)
       +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.7:compile
       |  \- (org.apache.maven.doxia:doxia-core:jar:1.7:compile - omitted for duplicate)
       \- org.apache.maven.doxia:doxia-module-fml:jar:1.7:compile
          \- (org.apache.maven.doxia:doxia-core:jar:1.7:compile - omitted for duplicate)

org.apache.maven.doxia:doxia-sink-api

[Error]
1.2
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
       \- (org.apache.maven.doxia:doxia-sink-api:jar:1.2:compile - omitted for conflict with 1.0)

1.7
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.doxia:doxia-core:jar:1.7:compile
    |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.7:compile - omitted for conflict with 1.0)
    +- org.apache.maven.doxia:doxia-sink-api:jar:1.7:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.7:compile
       +- (org.apache.maven.doxia:doxia-sink-api:jar:1.7:compile - omitted for duplicate)
       +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.7:compile
       |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.7:compile - omitted for duplicate)
       \- org.apache.maven.doxia:doxia-module-fml:jar:1.7:compile
          \- (org.apache.maven.doxia:doxia-sink-api:jar:1.7:compile - omitted for duplicate)

org.apache.maven.doxia:doxia-site-renderer

[Error]
1.2
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
       \- (org.apache.maven.doxia:doxia-site-renderer:jar:1.2:compile - omitted for conflict with 1.7)

1.7
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.7:compile

org.apache.maven.reporting:maven-reporting-api

[Error]
2.2.1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- (org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:compile - omitted for conflict with 3.0)

3.0
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.reporting:maven-reporting-api:jar:3.0:compile
    \- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
       \- (org.apache.maven.reporting:maven-reporting-api:jar:3.0:compile - omitted for duplicate)

org.apache.maven.wagon:wagon-file

[Error]
1.0-beta-6
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- (org.apache.maven.wagon:wagon-file:jar:1.0-beta-6:runtime - omitted for conflict with 2.12)

2.12
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.wagon:wagon-file:jar:2.12:compile

org.apache.maven.wagon:wagon-provider-api

[Error]
1.0-beta-6
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for conflict with 2.12)
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       +- org.apache.maven.wagon:wagon-http-lightweight:jar:1.0-beta-6:compile
       |  +- org.apache.maven.wagon:wagon-http-shared:jar:1.0-beta-6:compile
       |  |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for duplicate)
       |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for duplicate)
       +- org.apache.maven.wagon:wagon-http:jar:1.0-beta-6:compile
       |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for duplicate)
       +- org.apache.maven.wagon:wagon-webdav-jackrabbit:jar:1.0-beta-6:runtime
       |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:runtime - omitted for duplicate)
       +- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for duplicate)
       +- org.apache.maven.wagon:wagon-ssh-external:jar:1.0-beta-6:runtime
       |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:runtime - omitted for duplicate)
       \- org.apache.maven.wagon:wagon-ssh:jar:1.0-beta-6:compile
          +- org.apache.maven.wagon:wagon-ssh-common:jar:1.0-beta-6:compile
          |  \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for duplicate)
          \- (org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile - omitted for duplicate)

2.12
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.wagon:wagon-provider-api:jar:2.12:compile
    \- org.apache.maven.wagon:wagon-file:jar:2.12:compile
       \- (org.apache.maven.wagon:wagon-provider-api:jar:2.12:compile - omitted for duplicate)

org.apache.maven:maven-artifact

[Error]
2.2.1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven:maven-artifact:jar:2.2.1:compile
    +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:2.2.1:compile
    |  +- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
    |     \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)

3.0
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.5:provided
    |  \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 2.2.1)
    +- org.apache.maven.shared:maven-common-artifact-filters:jar:3.0.1:compile
    |  \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 2.2.1)
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.7:compile
       \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 2.2.1)

org.apache.maven:maven-core

[Error]
2.2.1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile

3.0
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:3.0.1:compile
       \- (org.apache.maven:maven-core:jar:3.0:compile - omitted for conflict with 2.2.1)

org.apache.maven:maven-model

[Error]
2.2.1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven:maven-core:jar:2.2.1:compile
    |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |  |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for duplicate)
    |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for duplicate)
    +- org.apache.maven:maven-model:jar:2.2.1:compile
    +- org.apache.maven:maven-settings:jar:2.2.1:compile
    |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for duplicate)
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for duplicate)

3.0
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:3.0.1:compile
       \- (org.apache.maven:maven-model:jar:3.0:compile - omitted for conflict with 2.2.1)

org.apache.maven:maven-plugin-api

[Error]
2.2.1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-plugin-api:jar:2.2.1:compile

3.0
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven:maven-core:jar:2.2.1:compile
    |  +- (org.apache.maven:maven-plugin-api:jar:3.0:compile - version managed from 2.2.1; omitted for conflict with 2.2.1)
    |  \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
    |     \- (org.apache.maven:maven-plugin-api:jar:3.0:compile - version managed from 2.2.1; omitted for duplicate)
    +- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
    |  \- (org.apache.maven:maven-plugin-api:jar:3.0:compile - version managed from 2.2.1; omitted for conflict with 2.2.1)
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:3.0.1:compile
       \- (org.apache.maven:maven-plugin-api:jar:3.0:compile - version managed from 2.2.1; omitted for conflict with 2.2.1)

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-9-stable-1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.7.1)
    +- org.apache.maven:maven-core:jar:2.2.1:compile
    |  +- org.apache.maven:maven-plugin-parameter-documenter:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  +- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-error-diagnostics:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
    |     \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    +- org.apache.maven:maven-settings:jar:2.2.1:compile
    |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)

1.7.1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.codehaus.plexus:plexus-container-default:jar:1.7.1:compile

org.codehaus.plexus:plexus-interactivity-api

[Error]
1.0-alpha-4
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- (org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-4:compile - omitted for conflict with 1.0-alpha-6)

1.0-alpha-6
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven:maven-core:jar:2.2.1:compile
    |  \- org.apache.maven.wagon:wagon-ssh:jar:1.0-beta-6:compile
    |     \- org.apache.maven.wagon:wagon-ssh-common:jar:1.0-beta-6:compile
    |        \- (org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-6:compile - omitted for conflict with 1.0-alpha-4)
    \- org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-6:compile

org.codehaus.plexus:plexus-utils

[Error]
1.4.2
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       +- org.apache.maven.wagon:wagon-ssh-external:jar:1.0-beta-6:runtime
       |  \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:runtime - omitted for conflict with 1.5.15)
       \- org.apache.maven.wagon:wagon-ssh:jar:1.0-beta-6:compile
          +- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 1.5.15)
          \- org.apache.maven.wagon:wagon-ssh-common:jar:1.0-beta-6:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 1.5.15)

1.4.5
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.codehaus.plexus:plexus-i18n:jar:1.0-beta-10:compile
       \- (org.codehaus.plexus:plexus-utils:jar:1.4.5:compile - omitted for conflict with 3.0.24)

1.5.15
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven:maven-artifact:jar:2.2.1:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.24)
    +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |  +- org.apache.maven:maven-repository-metadata:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:2.2.1:compile
    |  +- org.apache.maven:maven-plugin-parameter-documenter:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
    +- org.apache.maven:maven-model:jar:2.2.1:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
    +- org.apache.maven:maven-settings:jar:2.2.1:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
       \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)

1.5.5
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 1.5.15)

1.5.8
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.reporting:maven-reporting-impl:jar:2.2:compile
       \- (org.codehaus.plexus:plexus-utils:jar:1.5.8:compile - omitted for conflict with 1.5.15)

2.0.5
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:3.0.1:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.0.5:compile - omitted for conflict with 1.5.15)

3.0.24
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    +- org.apache.maven.wagon:wagon-provider-api:jar:2.12:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 1.5.15)
    +- org.apache.maven.wagon:wagon-file:jar:2.12:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 1.5.15)
    \- org.codehaus.plexus:plexus-utils:jar:3.0.24:compile

org.hamcrest:hamcrest-core

[Error]
1.1
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.mockito:mockito-core:jar:1.9.5:test
       \- (org.hamcrest:hamcrest-core:jar:1.1:test - omitted for conflict with 1.3)

1.3
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- junit:junit:jar:4.12:test (version managed from 3.8.1; scope managed from compile)
       \- org.hamcrest:hamcrest-core:jar:1.3:test

org.slf4j:slf4j-api

[Error]
1.5.3
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.apache.maven.wagon:wagon-webdav-jackrabbit:jar:1.0-beta-6:runtime
          +- org.apache.jackrabbit:jackrabbit-webdav:jar:1.5.0:runtime
          |  \- (org.slf4j:slf4j-api:jar:1.5.3:runtime - omitted for conflict with 1.5.6)
          \- org.slf4j:slf4j-nop:jar:1.5.3:runtime
             \- (org.slf4j:slf4j-api:jar:1.5.3:runtime - omitted for duplicate)

1.5.6
    org.codehaus.mojo:versions-maven-plugin:maven-plugin:2.4
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.slf4j:slf4j-jdk14:jar:1.5.6:runtime
          \- org.slf4j:slf4j-api:jar:1.5.6:runtime